<?php

	# mark core  v1.0
    # author Drk in
	# date 24.10.19 	

	# core

	require_once ( $_SERVER['DOCUMENT_ROOT']."/_core/system.php" );

	# meta

	$title = 'Авторизация » Мобильные WAP сайты';
	$description = system::check($config['description']);
	$keywords = system::check($config['keywords']);
	$tl = 'Авторизация';

	# guest

	system::access(false);

	# post

	if (isset($_POST['CFMS'])): 

	$login          = system::check($_POST['login']);		
	$password       = system::check($_POST['password']);	
	$captcha_code   = system::check($_POST['captcha_code']);	
	$captcha        = system::check($_SESSION['captcha']);		

	$check = DB :: $dbh -> queryFetch("SELECT id,login,password,ban,CK FROM user WHERE login = ? LIMIT 1;", array($login));	

	if (!empty($check)):
		
	if ($login == $check['login'] && $password == $check['password']):		

	if ($captcha == $captcha_code):	
		
	if ($check['ban'] == 0):	

	@unlink(cache."_user/{$check['CK']}.data"); 
		
	$CK = md5(md5($check['login'].time()));	

	DB :: $dbh -> query("UPDATE user SET CK = ?, ip = ?, ua = ?, data_aut = ? WHERE id = ? LIMIT 1;", array($CK,ip,ua,time(),$check['id']));	

	setcookie("CK", $CK, time() + 2419200, "/", "".domain."");		

	system::header('/','Добро пожаловать!',1);		

	# error
	
	else: system::header('?','Аккаунт заблокирован, вход не возможен!'); endif;
	else: system::header('?','Не верный код с картинки'); endif;
	else: system::header('?','Не верно указаны данные'); endif;
	else: system::header('?','Не верно указаны данные'); endif;
	
	endif;

	# head

	require_once ( head );

	echo '
	<div class="touch">
	<form action="" method="post">
	Ваш логин:<br>
	<input name="login" type="text" value=""><br>
	Ваш пароль:<br>
	<input name="password" type="password" value=""><br>
	Введите код: <img src="'.site.'captcha" alt="captcha"><br>
	<input name="captcha_code" type="text" value=""><br>
	<input name="CFMS" type="submit" value="Авторизация"></form>
	</div>
	<div class="touch">
	<a href="'.site.'res">Забыли пароль?</a><br>
	<a href="'.site.'reg">Регистрация</a>
	</div>
	<a href="'.site.'" class="touch">« На главную</a>
	';

	# foot

	require_once ( foot ) ;
	
?>